Retrieve Delegations
Retrieve Vaults where the currently authenticated user has delegate access. You can then use this information to Initiate a Delegated Session.
GET
/api/{version}/delegation/vaultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.3/delegation/vaultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"delegated_vaults": [
{
"id": 19523,
"name": "PromoMats",
"dns": "mypromomatsvault.veevavault..com",
"delegator_userid": "61579"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the name, Vault ID, DNS, and user ID for any Vaults the authenticated user has delegate access to. If the response is empty, the authenticated user does not have delegate access to any Vaults.